polybori::BooleSetSequence Class Reference

This class converts a `BooleSet` to a sequence-like structure. More...

`#include <BooleSetSequence.h>`

## Public Types

typedef std::vector< BooleSet > | vector_type
typedef vector_type::const_iterator | const_iterator
typedef vector_type::const_reverse_iterator | const_reverse_iterator

## Public Member Functions

| BooleSetSequence ()
| Standard constructor yields an empty set. More...
template<class SetType , class Operator >
| BooleSetSequence (const SetType &terms, const Operator &func)
| Construct sequence from a set of terms and an unary conversion function. More...
const_iterator | begin () const
| Sequence-like interface. More...
const_iterator | end () const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
bool | empty () const

## Detailed Description

This class converts a `BooleSet` to a sequence-like structure.

## Member Typedef Documentation

typedef vector_type::const_iterator polybori::BooleSetSequence::const_iterator

typedef vector_type::const_reverse_iterator polybori::BooleSetSequence::const_reverse_iterator

typedef std::vector<BooleSet> polybori::BooleSetSequence::vector_type

## Constructor & Destructor Documentation

polybori::BooleSetSequence::BooleSetSequence | ( | ) |  |

inline

Standard constructor yields an empty set.

template<class SetType , class Operator >

polybori::BooleSetSequence::BooleSetSequence | ( | const SetType & | terms,
|  | const Operator & | func
| ) |  |

inline

Construct sequence from a set of terms and an unary conversion function.

References polybori::transform().

## Member Function Documentation

const_iterator polybori::BooleSetSequence::begin | ( | ) |  | const

inline

Sequence-like interface.

bool polybori::BooleSetSequence::empty | ( | ) |  | const

inline

const_iterator polybori::BooleSetSequence::end | ( | ) |  | const

inline

const_reverse_iterator polybori::BooleSetSequence::rbegin | ( | ) |  | const

inline

const_reverse_iterator polybori::BooleSetSequence::rend | ( | ) |  | const

inline

The documentation for this class was generated from the following file:

- BooleSetSequence.h